package io.renren.modules.admin.service.impl;

import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;

import io.renren.modules.admin.dao.AttendersDao;
import io.renren.modules.admin.entity.AttendersEntity;
import io.renren.modules.admin.service.AttendersService;


@Service("attendersService")
public class AttendersServiceImpl extends ServiceImpl<AttendersDao, AttendersEntity> implements AttendersService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        String name = (String) params.get("name");
        IPage<AttendersEntity> page = this.page(
                new Query<AttendersEntity>().getPage(params),
                new QueryWrapper<AttendersEntity>()
                .like(StringUtils.isNotBlank(name),"name",name)
        );

        return new PageUtils(page);
    }

    @Override
    public List<Map<String, Object>> getMeetingListByMemberId(Long memberId){
        return baseMapper.getMeetingListByMemberId(memberId);
    }

    @Override
    public Map<String, Object> getNameById(Long aid) {
        return baseMapper.getNameById(aid);
    }

    @Override
    public Map<String, Object> getMapById(Long aid) {
        return baseMapper.getMapById(aid);
    }
}